import { useEffect, useRef } from 'react';
export default function useInterval(fn, delay, deps) {
  for (var _len = arguments.length, params = new Array(_len > 3 ? _len - 3 : 0), _key = 3; _key < _len; _key++) {
    params[_key - 3] = arguments[_key];
  }

  var fnRef = useRef(fn);
  fnRef.current = fn;
  useEffect(function () {
    var intervalId = setInterval.apply(void 0, [function () {
      fnRef.current.apply(fnRef, arguments);
    }, delay].concat(params));
    return function () {
      clearInterval(intervalId);
    };
  }, deps);
}